---
title: "MecAuthorizationRequest"
url: "https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84/schemas/MecAuthorizationRequest"
---

> Full API specification: https://developers.zinnia.com/apis/policy-transactions-1-0-2/versions/d0006570-ab9d-464e-814f-d120ba425e84.md

# MecAuthorizationRequest

## OpenAPI definition

```yaml
openapi: 3.1.0
info:
  title: Zinnia Policy Transactions API.
  version: 1.0.8
servers:
  - url: https://dev.api.zinnia.io
    description: DEV Environment
  - url: https://qa.api.zinnia.io
    description: QA Environment
components:
  schemas:
    MecAuthorizationValueAdjustment:
      type: object
      properties:
        policyAttribute:
          type: string
          description: Policy attribute key for this policy detail change
          example: MODIFIEDENDOWMENTCONTRACTAUTHORIZATION
        attributeValue:
          type: string
          description: Target attribute value
    MecAuthorizationSignature:
      type: object
      properties:
        isSignedPresent:
          type: boolean
        signDate:
          type: string
          format: date
          nullable: true
        signDesignation:
          type: string
          nullable: true
        signType:
          type: string
          description: Signature type code
          example: OWNER
        signTypeForUI:
          type: string
          example: Owner
    MecAuthorizationDocument:
      type: object
      properties:
        documentId:
          type: string
          example: 69cfdc032ddc2a4480bc510f
        documentDate:
          type: string
          format: date
        documentType:
          type: string
          description: Document type code
          example: CERTIFICATE
    MecAuthorizationRequest:
      type: object
      properties:
        planCode:
          type: string
          example: IU0101
          description: Plan code (may duplicate path parameter)
        policyNumber:
          type: string
          example: FIUL713008350
          description: Policy number (may duplicate path parameter)
        effectiveDate:
          type: string
          format: date
          example: 2026-04-09
        correlationId:
          type: string
          format: uuid
          example: e3bdb22b-790f-4357-ae60-42cdb0ff0d40
        carrierId:
          type: string
          example: FNWL
        valueAdjustment:
          $ref: "#/components/schemas/MecAuthorizationValueAdjustment"
        signatures:
          type: array
          items:
            $ref: "#/components/schemas/MecAuthorizationSignature"
        documents:
          type: array
          items:
            $ref: "#/components/schemas/MecAuthorizationDocument"
        supportingDocumentAttached:
          type: boolean
```
